# cpp_type_traits.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file cpp_type_traits.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace __gnu_internal
- namespace std

## Defines

- #define _CPP_TYPE_TRAITS_H

## Typedefs

- typedef char __one
- typedef char __two [2]

## Functions

- template<typename _Tp> __two & __test_type (...)
- template<typename _Tp> __one __test_type (int _Tp::*)